import RTPApplication
import TemporalSelector

Class FXTSelectApp -superclass RTPApplication

FXTSelectApp instproc init args {
    $self next tselect_app

    $self init_resources;

    [$self options] register_option -comm_id comm_id
    [$self options] register_option -cntrl_spec cntrl_spec

    eval [$self options] parse_args $args;

    $self instvar tselect_obj_
    
    set tselect_obj_ [new TemporalSelector [$self get_option comm_id] [$self get_option cntrl_spec]];
}

FXTSelectApp instproc init_resources {} {
    [$self options] register_option -gen_spec gen_spec

    $self add_option network ip
    $self add_option mtu 1024
    $self add_option defaultTTL 32
    $self add_option sessionType rtpv2
    $self add_option maxVideoSessionBW 30000000
    $self add_option comm_id ts
    $self add_option cntrl_spec 224.3.2.1/22334/16
    $self add_option gen_spec 224.5.6.1
}

FXTSelectApp instproc remote_exit {} {
    exit;
}

set app [new FXTSelectApp $argv];

puts "Selector running on [exec hostname]";

#if {![info exists tk_version]} {
#    vwait forever;
#}
